Package com.independentsoft.office.word.fields

# Class ComplexField

java.lang.Object
com.independentsoft.office.word.fields.ComplexField

All Implemented Interfaces:
  `IContentElement`, `IRunContent`

public class ComplexField extends Object implements IRunContent
The Class ComplexField.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ComplexField()`
  Instantiates a new complex field.
  `ComplexField​(InternalXMLStreamReader reader)`
  Instantiates a new complex field.
  `ComplexField​(ComplexFieldCharacterType characterType)`
  Instantiates a new complex field.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ComplexField`
  `clone()`
  `ComplexFieldCharacterType`
  `getCharacterType()`
  Gets the character type.
  `List<IContentElement>`
  `getContentElements()`
  `CustomFieldData`
  `getCustomFieldData()`
  Gets the custom field data.
  `ExtendedBoolean`
  `getDirty()`
  Gets the dirty.
  `FormFieldProperties`
  `getFormFieldProperties()`
  Gets the form field properties.
  `ExtendedBoolean`
  `getLock()`
  Gets the lock.
  `PreviousNumberingFieldProperties`
  `getPreviousNumberingFieldProperties()`
  Gets the previous numbering field properties.
  `void`
  `setCharacterType​(ComplexFieldCharacterType characterType)`
  Sets the character type.
  `void`
  `setCustomFieldData​(CustomFieldData customFieldData)`
  Sets the custom field data.
  `void`
  `setDirty​(ExtendedBoolean dirty)`
  Sets the dirty.
  `void`
  `setLock​(ExtendedBoolean lockfield)`
  Sets the lock.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ComplexField

    public ComplexField()
    Instantiates a new complex field.

  - ### ComplexField

    public ComplexField​(ComplexFieldCharacterType characterType)
    Instantiates a new complex field.
    Parameters:
      `characterType` - the character type

  - ### ComplexField

    public ComplexField​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new complex field.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Specified by:
      `getContentElements` in interface `IContentElement`

  - ### clone

    public ComplexField clone()
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IRunContent`
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getFormFieldProperties

    public FormFieldProperties getFormFieldProperties()
    Gets the form field properties.
    Returns:
      the form field properties

  - ### getPreviousNumberingFieldProperties

    public PreviousNumberingFieldProperties getPreviousNumberingFieldProperties()
    Gets the previous numbering field properties.
    Returns:
      the previous numbering field properties

  - ### getCustomFieldData

    public CustomFieldData getCustomFieldData()
    Gets the custom field data.
    Returns:
      the custom field data

  - ### setCustomFieldData

    public void setCustomFieldData​(CustomFieldData customFieldData)
    Sets the custom field data.
    Parameters:
      `customFieldData` - the new custom field data

  - ### getLock

    public ExtendedBoolean getLock()
    Gets the lock.
    Returns:
      the lock

  - ### setLock

    public void setLock​(ExtendedBoolean lockfield)
    Sets the lock.
    Parameters:
      `lockfield` - the new lock

  - ### getDirty

    public ExtendedBoolean getDirty()
    Gets the dirty.
    Returns:
      the dirty

  - ### setDirty

    public void setDirty​(ExtendedBoolean dirty)
    Sets the dirty.
    Parameters:
      `dirty` - the new dirty

  - ### getCharacterType

    public ComplexFieldCharacterType getCharacterType()
    Gets the character type.
    Returns:
      the character type

  - ### setCharacterType

    public void setCharacterType​(ComplexFieldCharacterType characterType)
    Sets the character type.
    Parameters:
      `characterType` - the new character type